jQuery(function($){

    var $h1 = $('h1.entry-title, h1.page-title').first();

    function updateMembershipH1() {
        if ($('body').hasClass('members-area') && smatMembersData.title) {
            $h1.text(smatMembersData.title).css('visibility', 'visible');
        }
    }

    // Ejecutamos al cargar y en cambios AJAX de WooCommerce.
    updateMembershipH1();
    $(document.body).on('updated_wc_div', updateMembershipH1);
});